# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`vsftpd`](#vsftpd): A more Puppety way of installing and managing the vsftpd daemon.

## Classes

### <a name="vsftpd"></a>`vsftpd`

feature. Additionally, this feature is awkward to handle, so it is disabled by default. Unfortunately, some FTP clients
  will hang when cancelling a transfer unless this feature is available, so you may wish to enable it.

Default: NO

Default: YES

#### Examples

##### 

```puppet
class { 'vsftpd':
  pam_service_name => 'ftp',
  pasv_enable      => true,
  pasv_min_port    => 1024,
  pasv_max_port    => 1048,
  pasv_address     => '127.0.0.1',
}
```

#### Parameters

The following parameters are available in the `vsftpd` class:

* [`config_path`](#-vsftpd--config_path)
* [`package_name`](#-vsftpd--package_name)
* [`service_name`](#-vsftpd--service_name)
* [`manage_service`](#-vsftpd--manage_service)
* [`service_enable`](#-vsftpd--service_enable)
* [`service_ensure`](#-vsftpd--service_ensure)
* [`template`](#-vsftpd--template)
* [`allow_anon_ssl`](#-vsftpd--allow_anon_ssl)
* [`allow_root_squashed_chroot`](#-vsftpd--allow_root_squashed_chroot)
* [`allow_writeable_chroot`](#-vsftpd--allow_writeable_chroot)
* [`anon_mkdir_write_enable`](#-vsftpd--anon_mkdir_write_enable)
* [`anon_other_write_enable`](#-vsftpd--anon_other_write_enable)
* [`anon_upload_enable`](#-vsftpd--anon_upload_enable)
* [`anon_world_readable_only`](#-vsftpd--anon_world_readable_only)
* [`anonymous_enable`](#-vsftpd--anonymous_enable)
* [`ascii_download_enable`](#-vsftpd--ascii_download_enable)
* [`ascii_upload_enable`](#-vsftpd--ascii_upload_enable)
* [`async_abor_enable`](#-vsftpd--async_abor_enable)
* [`background`](#-vsftpd--background)
* [`check_shell`](#-vsftpd--check_shell)
* [`chmod_enable`](#-vsftpd--chmod_enable)
* [`chown_uploads`](#-vsftpd--chown_uploads)
* [`chroot_list_enable`](#-vsftpd--chroot_list_enable)
* [`chroot_local_user`](#-vsftpd--chroot_local_user)
* [`connect_from_port_20`](#-vsftpd--connect_from_port_20)
* [`debug_ssl`](#-vsftpd--debug_ssl)
* [`delete_failed_uploads`](#-vsftpd--delete_failed_uploads)
* [`deny_email_enable`](#-vsftpd--deny_email_enable)
* [`dirlist_enable`](#-vsftpd--dirlist_enable)
* [`dirmessage_enable`](#-vsftpd--dirmessage_enable)
* [`download_enable`](#-vsftpd--download_enable)
* [`dual_log_enable`](#-vsftpd--dual_log_enable)
* [`force_dot_files`](#-vsftpd--force_dot_files)
* [`force_anon_data_ssl`](#-vsftpd--force_anon_data_ssl)
* [`force_anon_logins_ssl`](#-vsftpd--force_anon_logins_ssl)
* [`force_local_data_ssl`](#-vsftpd--force_local_data_ssl)
* [`force_local_logins_ssl`](#-vsftpd--force_local_logins_ssl)
* [`guest_enable`](#-vsftpd--guest_enable)
* [`hide_ids`](#-vsftpd--hide_ids)
* [`implicit_ssl`](#-vsftpd--implicit_ssl)
* [`listen`](#-vsftpd--listen)
* [`listen_ipv6`](#-vsftpd--listen_ipv6)
* [`local_enable`](#-vsftpd--local_enable)
* [`lock_upload_files`](#-vsftpd--lock_upload_files)
* [`log_ftp_protocol`](#-vsftpd--log_ftp_protocol)
* [`ls_recurse_enable`](#-vsftpd--ls_recurse_enable)
* [`mdtm_write`](#-vsftpd--mdtm_write)
* [`no_anon_password`](#-vsftpd--no_anon_password)
* [`no_log_lock`](#-vsftpd--no_log_lock)
* [`one_process_model`](#-vsftpd--one_process_model)
* [`passwd_chroot_enable`](#-vsftpd--passwd_chroot_enable)
* [`pasv_addr_resolve`](#-vsftpd--pasv_addr_resolve)
* [`pasv_enable`](#-vsftpd--pasv_enable)
* [`pasv_promiscuous`](#-vsftpd--pasv_promiscuous)
* [`port_enable`](#-vsftpd--port_enable)
* [`port_promiscuous`](#-vsftpd--port_promiscuous)
* [`require_cert`](#-vsftpd--require_cert)
* [`require_ssl_reuse`](#-vsftpd--require_ssl_reuse)
* [`run_as_launching_user`](#-vsftpd--run_as_launching_user)
* [`secure_email_list_enable`](#-vsftpd--secure_email_list_enable)
* [`session_support`](#-vsftpd--session_support)
* [`setproctitle_enable`](#-vsftpd--setproctitle_enable)
* [`ssl_enable`](#-vsftpd--ssl_enable)
* [`ssl_request_cert`](#-vsftpd--ssl_request_cert)
* [`ssl_sslv2`](#-vsftpd--ssl_sslv2)
* [`ssl_sslv3`](#-vsftpd--ssl_sslv3)
* [`ssl_tlsv1`](#-vsftpd--ssl_tlsv1)
* [`strict_ssl_read_eof`](#-vsftpd--strict_ssl_read_eof)
* [`strict_ssl_write_shutdown`](#-vsftpd--strict_ssl_write_shutdown)
* [`syslog_enable`](#-vsftpd--syslog_enable)
* [`tcp_wrappers`](#-vsftpd--tcp_wrappers)
* [`text_userdb_names`](#-vsftpd--text_userdb_names)
* [`tilde_user_enable`](#-vsftpd--tilde_user_enable)
* [`use_localtime`](#-vsftpd--use_localtime)
* [`use_sendfile`](#-vsftpd--use_sendfile)
* [`userlist_deny`](#-vsftpd--userlist_deny)
* [`userlist_enable`](#-vsftpd--userlist_enable)
* [`validate_cert`](#-vsftpd--validate_cert)
* [`virtual_use_local_privs`](#-vsftpd--virtual_use_local_privs)
* [`write_enable`](#-vsftpd--write_enable)
* [`xferlog_enable`](#-vsftpd--xferlog_enable)
* [`xferlog_std_format`](#-vsftpd--xferlog_std_format)
* [`accept_timeout`](#-vsftpd--accept_timeout)
* [`address_space_limit`](#-vsftpd--address_space_limit)
* [`anon_max_rate`](#-vsftpd--anon_max_rate)
* [`anon_umask`](#-vsftpd--anon_umask)
* [`chown_upload_mode`](#-vsftpd--chown_upload_mode)
* [`connect_timeout`](#-vsftpd--connect_timeout)
* [`data_connection_timeout`](#-vsftpd--data_connection_timeout)
* [`delay_failed_login`](#-vsftpd--delay_failed_login)
* [`delay_successful_login`](#-vsftpd--delay_successful_login)
* [`file_open_mode`](#-vsftpd--file_open_mode)
* [`ftp_data_port`](#-vsftpd--ftp_data_port)
* [`idle_session_timeout`](#-vsftpd--idle_session_timeout)
* [`listen_port`](#-vsftpd--listen_port)
* [`local_max_rate`](#-vsftpd--local_max_rate)
* [`local_umask`](#-vsftpd--local_umask)
* [`max_clients`](#-vsftpd--max_clients)
* [`max_login_fails`](#-vsftpd--max_login_fails)
* [`max_per_ip`](#-vsftpd--max_per_ip)
* [`pasv_min_port`](#-vsftpd--pasv_min_port)
* [`pasv_max_port`](#-vsftpd--pasv_max_port)
* [`trans_chunk_size`](#-vsftpd--trans_chunk_size)
* [`anon_root`](#-vsftpd--anon_root)
* [`banned_email_file`](#-vsftpd--banned_email_file)
* [`banner_file`](#-vsftpd--banner_file)
* [`ca_certs_file`](#-vsftpd--ca_certs_file)
* [`chown_username`](#-vsftpd--chown_username)
* [`chroot_list_file`](#-vsftpd--chroot_list_file)
* [`cmds_allowed`](#-vsftpd--cmds_allowed)
* [`cmds_denied`](#-vsftpd--cmds_denied)
* [`deny_file`](#-vsftpd--deny_file)
* [`dsa_cert_file`](#-vsftpd--dsa_cert_file)
* [`dsa_private_key_file`](#-vsftpd--dsa_private_key_file)
* [`email_password_file`](#-vsftpd--email_password_file)
* [`ftp_username`](#-vsftpd--ftp_username)
* [`ftpd_banner`](#-vsftpd--ftpd_banner)
* [`guest_username`](#-vsftpd--guest_username)
* [`hide_file`](#-vsftpd--hide_file)
* [`listen_address`](#-vsftpd--listen_address)
* [`listen_address6`](#-vsftpd--listen_address6)
* [`local_root`](#-vsftpd--local_root)
* [`message_file`](#-vsftpd--message_file)
* [`nopriv_user`](#-vsftpd--nopriv_user)
* [`pam_service_name`](#-vsftpd--pam_service_name)
* [`pasv_address`](#-vsftpd--pasv_address)
* [`rsa_cert_file`](#-vsftpd--rsa_cert_file)
* [`rsa_private_key_file`](#-vsftpd--rsa_private_key_file)
* [`secure_chroot_dir`](#-vsftpd--secure_chroot_dir)
* [`ssl_ciphers`](#-vsftpd--ssl_ciphers)
* [`user_config_dir`](#-vsftpd--user_config_dir)
* [`user_sub_token`](#-vsftpd--user_sub_token)
* [`userlist_file`](#-vsftpd--userlist_file)
* [`vsftpd_log_file`](#-vsftpd--vsftpd_log_file)
* [`xferlog_file`](#-vsftpd--xferlog_file)

##### <a name="-vsftpd--config_path"></a>`config_path`

Data type: `String`

The path to the main configuration file of vsftpd. Defaults to the os specific
path.

##### <a name="-vsftpd--package_name"></a>`package_name`

Data type: `String`

The name of the package.

Default value: `vsftpd`

##### <a name="-vsftpd--service_name"></a>`service_name`

Data type: `String`

The name of systemd service

Default value: `vsftpd`

##### <a name="-vsftpd--manage_service"></a>`manage_service`

Data type: `Boolean`

Wether to manage the systemd service or not.

Default value: `true`

##### <a name="-vsftpd--service_enable"></a>`service_enable`

Data type: `Variant[Boolean, Enum['manual', 'mask']]`

Wether to enable the service when booting or not.

Default value: `true`

##### <a name="-vsftpd--service_ensure"></a>`service_ensure`

Data type: `Variant[Boolean, Enum['running', 'stopped']]`

Control if the service is running or not

Default value: `'running'`

##### <a name="-vsftpd--template"></a>`template`

Data type: `String`

Path to the template the file resource is using.

Default value: `'vsftpd/configfile.erb'`

##### <a name="-vsftpd--allow_anon_ssl"></a>`allow_anon_ssl`

Data type: `Optional[Boolean]`

Only applies if ssl_enable is active. If set to YES, anonymous users will be allowed to use secured SSL connections.

Default when Boolean is undef: NO

Default value: `undef`

##### <a name="-vsftpd--allow_root_squashed_chroot"></a>`allow_root_squashed_chroot`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--allow_writeable_chroot"></a>`allow_writeable_chroot`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--anon_mkdir_write_enable"></a>`anon_mkdir_write_enable`

Data type: `Optional[Boolean]`

If set to YES, anonymous users will be permitted to create new directories under certain conditions.
For this to work, the option write_enable must be activated, and the anonymous ftp user must have write
permission on the parent directory.

Default when Boolean is undef: NO

Default value: `undef`

##### <a name="-vsftpd--anon_other_write_enable"></a>`anon_other_write_enable`

Data type: `Optional[Boolean]`

If set to YES, anonymous users will be permitted to perform write operations other than upload and create
directory, such as deletion and renaming. This is generally not recommended but included for completeness.

Default when Boolean is undef: NO

Default value: `undef`

##### <a name="-vsftpd--anon_upload_enable"></a>`anon_upload_enable`

Data type: `Optional[Boolean]`

If set to YES, anonymous users will be permitted to upload files under certain conditions. For this to work,
the option write_enable must be activated, and the anonymous ftp user must have write permission on desired
upload locations. This setting is also required for virtual users to upload; by default, virtual users are
 treated with anonymous (i.e. maximally restricted) privilege.

Default when Boolean is undef: NO

Default value: `undef`

##### <a name="-vsftpd--anon_world_readable_only"></a>`anon_world_readable_only`

Data type: `Optional[Boolean]`

When enabled, anonymous users will only be allowed to download files which are world readable. This is recognising
 that the ftp user may own files, especially in the presence of uploads.

Default when Boolean is undef: YES

Default value: `undef`

##### <a name="-vsftpd--anonymous_enable"></a>`anonymous_enable`

Data type: `Optional[Boolean]`

Controls whether anonymous logins are permitted or not. If enabled, both the usernames ftp and anonymous are
 recognised as anonymous logins.

Default: YES

Default value: `undef`

##### <a name="-vsftpd--ascii_download_enable"></a>`ascii_download_enable`

Data type: `Optional[Boolean]`

When enabled, ASCII mode data transfers will be honoured on downloads.

Default: NO

Default value: `undef`

##### <a name="-vsftpd--ascii_upload_enable"></a>`ascii_upload_enable`

Data type: `Optional[Boolean]`

When enabled, ASCII mode data transfers will be honoured on uploads.

Default: NO

Default value: `undef`

##### <a name="-vsftpd--async_abor_enable"></a>`async_abor_enable`

Data type: `Optional[Boolean]`

When enabled, a special FTP command known as "async ABOR" will be enabled. Only ill advised FTP clients will use this

Default value: `undef`

##### <a name="-vsftpd--background"></a>`background`

Data type: `Optional[Boolean]`

When enabled, and vsftpd is started in "listen" mode, vsftpd will background the listener process. i.e. control will
immediately be returned to the shell which launched vsftpd.

Default: YES

Default value: `undef`

##### <a name="-vsftpd--check_shell"></a>`check_shell`

Data type: `Optional[Boolean]`

Note! This option only has an effect for non-PAM builds of vsftpd. If disabled, vsftpd will not check /etc/shells for
a valid user shell for local logins.

Default: YES

Default value: `undef`

##### <a name="-vsftpd--chmod_enable"></a>`chmod_enable`

Data type: `Optional[Boolean]`

When enabled, allows use of the SITE CHMOD command. NOTE! This only applies to local users. Anonymous users never get
to use SITE CHMOD.

Default value: `undef`

##### <a name="-vsftpd--chown_uploads"></a>`chown_uploads`

Data type: `Optional[Boolean]`

If enabled, all anonymously uploaded files will have the ownership changed to the user specified in the setting
chown_username. This is useful from an administrative, and perhaps security, standpoint.

Default: NO

Default value: `undef`

##### <a name="-vsftpd--chroot_list_enable"></a>`chroot_list_enable`

Data type: `Optional[Boolean]`

If activated, you may provide a list of local users who are placed in a chroot() jail in their home directory upon
login. The meaning is slightly different if chroot_local_user is set to YES. In this case, the list becomes a list
of users which are NOT to be placed in a chroot() jail. By default, the file containing this list is
/etc/vsftpd/chroot_list, but you may override this with the chroot_list_file setting.

Default: NO

Default value: `undef`

##### <a name="-vsftpd--chroot_local_user"></a>`chroot_local_user`

Data type: `Optional[Boolean]`

If set to YES, local users will be (by default) placed in a chroot() jail in their home directory after login. Warning:
This option has security implications, especially if the users have upload permission, or shell access. Only enable if
you know what you are doing. Note that these security implications are not vsftpd specific. They apply to all FTP daemons
which offer to put local users in chroot() jails.

Default: NO

Default value: `undef`

##### <a name="-vsftpd--connect_from_port_20"></a>`connect_from_port_20`

Data type: `Optional[Boolean]`

This controls whether PORT style data connections use port 20 (ftp-data) on the server machine. For security reasons, some
clients may insist that this is the case. Conversely, disabling this option enables vsftpd to run with slightly less privilege.

Default: NO (but the sample config file enables it)

Default value: `undef`

##### <a name="-vsftpd--debug_ssl"></a>`debug_ssl`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--delete_failed_uploads"></a>`delete_failed_uploads`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--deny_email_enable"></a>`deny_email_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--dirlist_enable"></a>`dirlist_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--dirmessage_enable"></a>`dirmessage_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--download_enable"></a>`download_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--dual_log_enable"></a>`dual_log_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--force_dot_files"></a>`force_dot_files`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--force_anon_data_ssl"></a>`force_anon_data_ssl`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--force_anon_logins_ssl"></a>`force_anon_logins_ssl`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--force_local_data_ssl"></a>`force_local_data_ssl`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--force_local_logins_ssl"></a>`force_local_logins_ssl`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--guest_enable"></a>`guest_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--hide_ids"></a>`hide_ids`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--implicit_ssl"></a>`implicit_ssl`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--listen"></a>`listen`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--listen_ipv6"></a>`listen_ipv6`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--local_enable"></a>`local_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--lock_upload_files"></a>`lock_upload_files`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--log_ftp_protocol"></a>`log_ftp_protocol`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--ls_recurse_enable"></a>`ls_recurse_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--mdtm_write"></a>`mdtm_write`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--no_anon_password"></a>`no_anon_password`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--no_log_lock"></a>`no_log_lock`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--one_process_model"></a>`one_process_model`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--passwd_chroot_enable"></a>`passwd_chroot_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--pasv_addr_resolve"></a>`pasv_addr_resolve`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--pasv_enable"></a>`pasv_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--pasv_promiscuous"></a>`pasv_promiscuous`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--port_enable"></a>`port_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--port_promiscuous"></a>`port_promiscuous`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--require_cert"></a>`require_cert`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--require_ssl_reuse"></a>`require_ssl_reuse`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--run_as_launching_user"></a>`run_as_launching_user`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--secure_email_list_enable"></a>`secure_email_list_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--session_support"></a>`session_support`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--setproctitle_enable"></a>`setproctitle_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--ssl_enable"></a>`ssl_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--ssl_request_cert"></a>`ssl_request_cert`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--ssl_sslv2"></a>`ssl_sslv2`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--ssl_sslv3"></a>`ssl_sslv3`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--ssl_tlsv1"></a>`ssl_tlsv1`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--strict_ssl_read_eof"></a>`strict_ssl_read_eof`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--strict_ssl_write_shutdown"></a>`strict_ssl_write_shutdown`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--syslog_enable"></a>`syslog_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--tcp_wrappers"></a>`tcp_wrappers`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--text_userdb_names"></a>`text_userdb_names`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--tilde_user_enable"></a>`tilde_user_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--use_localtime"></a>`use_localtime`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--use_sendfile"></a>`use_sendfile`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--userlist_deny"></a>`userlist_deny`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--userlist_enable"></a>`userlist_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--validate_cert"></a>`validate_cert`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--virtual_use_local_privs"></a>`virtual_use_local_privs`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--write_enable"></a>`write_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--xferlog_enable"></a>`xferlog_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--xferlog_std_format"></a>`xferlog_std_format`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-vsftpd--accept_timeout"></a>`accept_timeout`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--address_space_limit"></a>`address_space_limit`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--anon_max_rate"></a>`anon_max_rate`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--anon_umask"></a>`anon_umask`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--chown_upload_mode"></a>`chown_upload_mode`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--connect_timeout"></a>`connect_timeout`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--data_connection_timeout"></a>`data_connection_timeout`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--delay_failed_login"></a>`delay_failed_login`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--delay_successful_login"></a>`delay_successful_login`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--file_open_mode"></a>`file_open_mode`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--ftp_data_port"></a>`ftp_data_port`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--idle_session_timeout"></a>`idle_session_timeout`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--listen_port"></a>`listen_port`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--local_max_rate"></a>`local_max_rate`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--local_umask"></a>`local_umask`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--max_clients"></a>`max_clients`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--max_login_fails"></a>`max_login_fails`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--max_per_ip"></a>`max_per_ip`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--pasv_min_port"></a>`pasv_min_port`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--pasv_max_port"></a>`pasv_max_port`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--trans_chunk_size"></a>`trans_chunk_size`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-vsftpd--anon_root"></a>`anon_root`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--banned_email_file"></a>`banned_email_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--banner_file"></a>`banner_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--ca_certs_file"></a>`ca_certs_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--chown_username"></a>`chown_username`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--chroot_list_file"></a>`chroot_list_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--cmds_allowed"></a>`cmds_allowed`

Data type: `Optional[Array[Vsftpd::Cmd]]`



Default value: `undef`

##### <a name="-vsftpd--cmds_denied"></a>`cmds_denied`

Data type: `Optional[Array[Vsftpd::Cmd]]`



Default value: `undef`

##### <a name="-vsftpd--deny_file"></a>`deny_file`

Data type: `Optional[Array[String]]`



Default value: `undef`

##### <a name="-vsftpd--dsa_cert_file"></a>`dsa_cert_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--dsa_private_key_file"></a>`dsa_private_key_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--email_password_file"></a>`email_password_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--ftp_username"></a>`ftp_username`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--ftpd_banner"></a>`ftpd_banner`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--guest_username"></a>`guest_username`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--hide_file"></a>`hide_file`

Data type: `Optional[Array[String]]`



Default value: `undef`

##### <a name="-vsftpd--listen_address"></a>`listen_address`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--listen_address6"></a>`listen_address6`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--local_root"></a>`local_root`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--message_file"></a>`message_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--nopriv_user"></a>`nopriv_user`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--pam_service_name"></a>`pam_service_name`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--pasv_address"></a>`pasv_address`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--rsa_cert_file"></a>`rsa_cert_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--rsa_private_key_file"></a>`rsa_private_key_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--secure_chroot_dir"></a>`secure_chroot_dir`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--ssl_ciphers"></a>`ssl_ciphers`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--user_config_dir"></a>`user_config_dir`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--user_sub_token"></a>`user_sub_token`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--userlist_file"></a>`userlist_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--vsftpd_log_file"></a>`vsftpd_log_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-vsftpd--xferlog_file"></a>`xferlog_file`

Data type: `Optional[String]`



Default value: `undef`

